Bug 72536 - libuser links non-fPIC code into shared libs
libuser links non-fPIC code into shared libs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: libuser (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-24 18:44 EDT by Arjan van de Ven
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version: 0.51.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 16:12:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2002-08-24 18:44:05 EDT
make[2]: Entering directory `/usr/src/redhat/BUILD/libuser-0.51.1/python'

libusermodule.o is non-fPIC but linked into a shared lib; adding -fPIC makes it work
Comment 1 Miloslav Trmač 2004-09-01 16:12:02 EDT
Fixed in libuser-0.51.9-1.

Note You need to log in before you can comment on or make changes to this bug.